msymbol_as_managing_key(3m17n)

NAME
msymbol_as_managing_key - Create a managing key.

SYNOPSIS
MSymbol msymbol_as_managing_key (const char * name)

DESCRIPTION
Create a managing key.

The msymbol_as_managing_key() function returns a newly created managing key whose name is name. It there already exists a symbol of name name, it returns Mnil.

Symbols whose name starts by two spaces are reserved by the m17n library, and are used by the library only internally.

RETURN VALUE

    If the operation was successful, this function returns the created symbol. Otherwise, it returns Mnil.

ERRORS

    MERROR_SYMBOL

SEE ALSO

    msymbol(), msymbol_exist()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.